Subject: Re: [PATCH 1/3] fetch: use batched reference updates

From: Junio C Hamano <[email-masked]>
Date: Wed, 14 May 2025 10:36:49 -0700

Karthik Nayak <[email-masked]> writes:

> With this we'll either be using a regular transaction or a batch update
> transaction. This helps cleanup some code which is no longer needed as
> we'll now always have some type of 'ref_transaction' object being
> propagated.

Great.  From the above description, I imagined that the change
involved would be removal of all "update one by one" code paths, and
addition of a new line to set one bit in the transaction object that
says "this is not the usual all-or-none transaction but is a
best-effort batch", but it does not seem to lose as many lines as I
hoped ;-)

But still, conceptually this change should simplify the things quite
a bit.